# -*- coding: utf8 -*-
from __future__ import unicode_literals

parser_class = "empower"


def test_decode_result(self):
    worklist = self.decode(
        """
        "SampleName"	"Name"	"Retention Time"	"Area"	"Height"	"Amount"	"Units"
    "34700118671"	""	9.190	5941	451		""
    "34700118671"	"AMT"	9.774	336947	26498	1.000	""
    "34700118671"	""	12.360	5499	414		""
    "34700118671"	"PPD"	12.919	196329	12060		""
    "34700118671"	"S-59"	13.982	16030	1030	0.180	"µM"
    "34700118671"	"PPE"	18.619	64981	2785		""
    "34700118778"	""	9.235	1744	151		""
    "34700118778"	"AMT"	9.794	340338	26647	1.000	""
    "34700118778"	""	12.400	2376	186		""
    "34700118778"	"PPD"	12.970	112798	6924		""
    "34700118778"	"S-59"	14.012	23834	1475	0.255	"µM"
    "34700118778"	"PPE"	18.658	33655	1500		""
    """
    )
    expected = {
        "context": "result",
        "samples": [
            {
                "results": [
                    {"code": "Retention_Time", "value": "9.190"},
                    {"code": "Area", "value": "5941"},
                    {"code": "Height", "value": "451"},
                    {"code": "AMTRetention_Time", "value": "9.774"},
                    {"code": "AMTArea", "value": "336947"},
                    {"code": "AMTHeight", "value": "26498"},
                    {"code": "AMTAmount", "value": "1.000"},
                    {"code": "Retention_Time", "value": "12.360"},
                    {"code": "Area", "value": "5499"},
                    {"code": "Height", "value": "414"},
                    {"code": "PPDRetention_Time", "value": "12.919"},
                    {"code": "PPDArea", "value": "196329"},
                    {"code": "PPDHeight", "value": "12060"},
                    {"code": "S-59Retention_Time", "value": "13.982"},
                    {"code": "S-59Area", "value": "16030"},
                    {"code": "S-59Height", "value": "1030"},
                    {"code": "S-59Amount", "value": "0.180"},
                    {"code": "PPERetention_Time", "value": "18.619"},
                    {"code": "PPEArea", "value": "64981"},
                    {"code": "PPEHeight", "value": "2785"},
                ],
                "sample_id": "34700118671",
                "type": "patient",
            },
            {
                "results": [
                    {"code": "Retention_Time", "value": "9.235"},
                    {"code": "Area", "value": "1744"},
                    {"code": "Height", "value": "151"},
                    {"code": "AMTRetention_Time", "value": "9.794"},
                    {"code": "AMTArea", "value": "340338"},
                    {"code": "AMTHeight", "value": "26647"},
                    {"code": "AMTAmount", "value": "1.000"},
                    {"code": "Retention_Time", "value": "12.400"},
                    {"code": "Area", "value": "2376"},
                    {"code": "Height", "value": "186"},
                    {"code": "PPDRetention_Time", "value": "12.970"},
                    {"code": "PPDArea", "value": "112798"},
                    {"code": "PPDHeight", "value": "6924"},
                    {"code": "S-59Retention_Time", "value": "14.012"},
                    {"code": "S-59Area", "value": "23834"},
                    {"code": "S-59Height", "value": "1475"},
                    {"code": "S-59Amount", "value": "0.255"},
                    {"code": "PPERetention_Time", "value": "18.658"},
                    {"code": "PPEArea", "value": "33655"},
                    {"code": "PPEHeight", "value": "1500"},
                ],
                "sample_id": "34700118778",
                "type": "patient",
            },
        ],
    }
    assert worklist == expected
